#!/usr/bin/env python

from distutils.core import setup, Extension

# ------ no changes below! If you need to change, it's a bug! -------
import sys

longdesc = """
XMarshaL may be a replacement for gnosis.xml.pickle or xml.marshal.generic.
XMarshaL is originally based on xml.marshal.generic (part of PyXML).
I used this package before but it has a lot of disadvantages for my
purposes, so I decided to rewrite it completely. XMarshaL is much more
flexible and extendable. For some types of objects (like large lists)
its faster by a factor of 1000 or more! XMarshaL is designed to work
with different local encodings.
XMarshaL has the same interface as pickle or marshal.
"""

args = { 'name' : "XMarshaL",
    'version' : '1.0',
    'description' : "generic (un)marshaller using XML, like xml.marshal.generic",
    'long_description' : longdesc,
    'license' : "free (see module header)",
    'author' : "Joerg Raedler",
    'author_email' : "jr@j-raedler.de",
    'maintainer' : "Joerg Raedler",
    'maintainer_email' : "jr@j-raedler.de",
    'url' : "http://www.j-raedler.de/",
    'py_modules' : ['XMarshaL', 'XMarshaL2']}
if sys.version_info[:3] >= (2,2,3):
    args['download_url'] = "http://www.j-raedler.de/"
    args['classifiers'] = ['Development Status :: 5 - Production/Stable',
                           'Intended Audience :: Developers',
                           'License :: Freely Distributable',
                           'Programming Language :: Python',
                           'Operating System :: OS Independent', 
                           'Topic :: Text Processing :: Markup :: XML',
                           'Topic :: Software Development :: Object Brokering'
                           ]
setup(**args)
